Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/export/conll2009/ToCoNLL2009.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/export/conll2009/ToCoNLL2009.groovy	(revision 3299)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/export/conll2009/ToCoNLL2009.groovy	(revision 3300)
@@ -28,7 +28,7 @@
 	 */
 	public boolean process(File outfile, CQPCorpus corpus, StructuralUnitProperty sentenceUnit, Property word, Property lemme, Property pos, String encoding)
 	{
-		def matches = corpus.query(new CQLQuery("<s> []+ </s>"), "TMPEXPORTCONNL", false).getMatches()
+		def matches = corpus.query(new CQLQuery("<s> []+ </s>"), "TMPEXPORTCONLL", false).getMatches()
 		if (debug) println matches.size()
 		int npositions = 0;
 		for (def match : matches) npositions += match.size() +1
Index: TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java
===================================================================
--- TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 3299)
+++ TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 3300)
@@ -179,7 +179,7 @@
 			}
 		}
 		else {
-			text = corpus.getProject().getFirstText();
+			text = corpus.getProject().getText(corpus.getCorpusTextIdsList()[0]);
 			if (text == null) {
 				System.out.println("Error: corpus has no text.");
 				return false;
Index: TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java
===================================================================
--- TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 3299)
+++ TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 3300)
@@ -27,6 +27,7 @@
 //
 package org.txm.edition.rcp.editors;
 
+import java.io.IOException;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
@@ -72,7 +73,9 @@
 import org.txm.rcp.editors.IEditionEditor;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.swt.GLComposite;
+import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
+import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.utils.logger.Log;
 
 /**
@@ -123,15 +126,19 @@
 	
 	private Project project;
 	
-	// TODO finish editor conversion
+	// TODO finish editor conversion and implement a TXMResult : EditionNavigation
 	@Override
 	public Text getResult() {
 		
 		for (EditionPanel panel : editionPanels.values()) {
 			return panel.getCurrentText();
 		}
-		if (textIdToOpen != null) return this.getCorpus().getProject().getText(textIdToOpen);
-		return this.getCorpus().getProject().getFirstText();
+		
+		if (textIdToOpen != null) {
+			return this.getCorpus().getProject().getText(textIdToOpen);
+		} else {
+			return this.getCorpus().getProject().getFirstText();
+		}
 	}
 	
 	public SearchEditionToolbar getSearchEditionToolbar() {
@@ -744,16 +751,6 @@
 		}
 	}
 	
-	// /**
-	// * Opens the default corpus edition with the first Text
-	// *
-	// * @param corpus
-	// */
-	// public boolean openEditions(CQPCorpus corpus) {
-	// if (corpus == null) return false;
-	// return openEditions(corpus, corpus.getProject().getFirstText(), corpus.getProject().getDefaultEdition());
-	// }
-	
 	/**
 	 * update editor title using the first panel only
 	 */
@@ -808,8 +805,11 @@
 	 * 
 	 * @param corpus
 	 * @param editionNames
+	 * @throws CqiServerError 
+	 * @throws IOException 
+	 * @throws CqiClientException 
 	 */
-	public boolean openEditions(List<String> editionNames, String textId, String pageId, String wordIds) {
+	public boolean openEditions(List<String> editionNames, String textId, String pageId, String wordIds) throws CqiClientException, IOException, CqiServerError {
 		
 		boolean reloadPanels = true ;// editionNames.size() != this.getEditionPanels().keySet().size(); // not working
 		if (!reloadPanels) {
@@ -859,12 +859,10 @@
 		}
 		
 		Text text = null;
-		if (textId != null) {
-			text = this.corpus.getProject().getText(textId);
-		} else {
-			text = this.corpus.getProject().getFirstText();
+		if (textId == null) {
+			textId = this.corpus.getCorpusTextIdsList()[0];
 		}
-		
+		text = this.corpus.getProject().getText(textId);
 		if (text == null) {
 			Log.warning("** Error: no text found with id="+textId);
 			return false;
@@ -951,7 +949,13 @@
 		editionNames = ((SynopticEditorInput) input).getEditions();
 		textIdToOpen = ((SynopticEditorInput) input).getTextID();
 		if (textIdToOpen == null) {
-			textIdToOpen = corpus.getProject().getFirstText().getName();
+			try {
+				textIdToOpen = corpus.getCorpusTextIdsList()[0];
+			}
+			catch (Exception e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
 		}
 		pageIdToOpen = ((SynopticEditorInput) input).getPageID();
 		wordIdsToOpen = ((SynopticEditorInput) input).getWordId();
Index: TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditorInput.java
===================================================================
--- TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditorInput.java	(revision 3299)
+++ TXM/trunk/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditorInput.java	(revision 3300)
@@ -37,12 +37,6 @@
 		this.pageId = pageId;
 		this.wordId = wordIds;
 		
-		// if (text == null) {
-		// this.text = corpus.getProject().getFirstText();
-		// } else {
-		// this.text = corpus.getProject().getText(text);
-		// }
-		
 		if (editions == null) {
 			String[] defaultEditions = corpus.getProject().getDefaultEditionName().split(",");
 			this.editions = Arrays.asList(defaultEditions);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/eclipse/jface/fieldassist/TXMAutoCompleteField.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/eclipse/jface/fieldassist/TXMAutoCompleteField.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/eclipse/jface/fieldassist/TXMAutoCompleteField.java	(revision 3300)
@@ -1,9 +1,6 @@
 package org.eclipse.jface.fieldassist;
 
-import java.util.ArrayList;
-
 import org.eclipse.jface.bindings.keys.KeyStroke;
-import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.widgets.Control;
 
 /**
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java	(revision 3300)
@@ -310,7 +310,7 @@
 	}
 	
 	@Override
-	public void update(Project project) {
+	public void updateFields(Project project) {
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
 		
@@ -338,7 +338,7 @@
 	}
 	
 	@Override
-	public boolean save(Project project) {
+	public boolean saveFields(Project project) {
 		
 		if (textWhiteSpaces.getText().length() == 0 && textPuncts.getText().length() == 0) {
 			System.out.println(TXMUIMessages.errorWhileSavingTokenizerParameters);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EditionSection.java	(revision 3300)
@@ -253,7 +253,7 @@
 	}
 	
 	@Override
-	public void update(Project project) {
+	public void updateFields(Project project) {
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
 		
@@ -294,10 +294,11 @@
 		if (defaults != null && defaults.length() > 0 && defaultEditions != null) {
 			defaultEditions.setText(defaults);
 		}
+		
 	}
 	
 	@Override
-	public boolean save(Project project) {
+	public boolean saveFields(Project project) {
 		if (this.section != null && !this.section.isDisposed()) {
 			
 			String page_break_tag = "pb";
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/OptionsSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/OptionsSection.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/OptionsSection.java	(revision 3300)
@@ -56,7 +56,7 @@
 	}
 	
 	@Override
-	public void update(Project project) {
+	public void updateFields(Project project) {
 		cleanButton.setSelection(project.getCleanAfterBuild());
 		//
 		//// value = (String) params.getKeyValueParameters().get(ImportKeys.MULTITHREAD);
@@ -65,7 +65,7 @@
 	}
 	
 	@Override
-	public boolean save(Project project) {
+	public boolean saveFields(Project project) {
 		if (this.section != null && !section.isDisposed()) {
 			//
 			project.setCleanAfterBuild(cleanButton.getSelection());
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 3300)
@@ -73,7 +73,7 @@
 	}
 	
 	@Override
-	public void update(Project project) {
+	public void updateFields(Project project) {
 		section.setText(NLS.bind(TXMUIMessages.descriptionOfTheP0CorpusP1, project.getName(), project.getSrcdir()));
 		
 		String descContent = project.getDescription();
@@ -86,7 +86,7 @@
 	}
 	
 	@Override
-	public boolean save(Project project) {
+	public boolean saveFields(Project project) {
 		project.setDescription("<pre><br/>" + descText.getText().replace("\n", "<br/>") + "</pre>"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		
 		return true;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java	(revision 3300)
@@ -194,7 +194,7 @@
 	}
 	
 	@Override
-	public void update(Project project) {
+	public void updateFields(Project project) {
 		if (this.section.isDisposed()) return;
 		
 		this.project = project;
@@ -210,7 +210,7 @@
 	}
 	
 	@Override
-	public boolean save(Project project) {
+	public boolean saveFields(Project project) {
 		if (xsltfileValue != null && !xsltfileValue.isDisposed())
 			project.setXslt(xsltfileValue.getText());
 		
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java	(revision 3300)
@@ -100,7 +100,7 @@
 	}
 	
 	@Override
-	public void update(Project project) {
+	public void updateFields(Project project) {
 		CorpusCommandPreferences concPrefs = project.getCommandPreferences("concordance");
 		if (concPrefs.get("context_limits") != null) {
 			structLimitsText.setText(concPrefs.get("context_limits"));
@@ -127,7 +127,7 @@
 	}
 	
 	@Override
-	public boolean save(Project project) {
+	public boolean saveFields(Project project) {
 		if (this.section != null && !section.isDisposed()) {
 			CorpusCommandPreferences concPrefs = project.getCommandPreferences("concordance");
 			concPrefs.set("context_limits_type", "list");
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java	(revision 3300)
@@ -1,6 +1,7 @@
 package org.txm.rcp.editors.imports.sections;
 
 import java.lang.reflect.Field;
+import java.util.ArrayList;
 
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.ui.forms.widgets.FormToolkit;
@@ -10,14 +11,14 @@
 import org.txm.core.results.BeanParameters;
 import org.txm.core.results.Parameter;
 import org.txm.objects.Project;
-import org.txm.rcp.editors.TXMEditor;
-import org.txm.rcp.messages.TXMUIMessages;
 import org.w3c.dom.Document;
 import org.w3c.dom.Element;
 import org.w3c.dom.NodeList;
 
 public abstract class ImportEditorSection {
 	
+	ArrayList<ImportSubSection> subsections = new ArrayList<ImportSubSection>();
+	
 	public static TableWrapData getButtonLayoutData() {
 		TableWrapData td = new TableWrapData(TableWrapData.LEFT, TableWrapData.MIDDLE);
 		return td;
@@ -46,6 +47,18 @@
 		return gdata;
 	}
 	
+	public FormToolkit getToolkit() {
+		return toolkit;
+	}
+	
+	public ScrolledForm getScrolledForm() {
+		return form;
+	}
+	
+	public Section getSection() {
+		return section;
+	}
+	
 	protected ScrolledForm form;
 	
 	protected Project project;
@@ -80,6 +93,25 @@
 	 * @param project
 	 * @return true if all necessary parameters are set
 	 */
+	public final boolean check() {
+		
+		if (this.checkFields()) {
+			for (ImportSubSection sub : subsections) {
+				if (!sub.checkFields()) {
+					return false;
+				}
+			}
+			return true;
+		}
+		return false;
+	}
+	
+	/**
+	 * Check if all necessary parameters are set
+	 * 
+	 * @param project
+	 * @return true if all necessary parameters are set
+	 */
 	public abstract boolean checkFields();
 	
 	public abstract int getSectionSize(); // 1 2 3, it depends the number of element inserted in the form
@@ -93,17 +125,36 @@
 	 * Update the Project import parameters using the section widgets values
 	 * 
 	 * @param project
-	 * @deprecated interface write parameters in a import.xml
 	 */
-	@Deprecated
-	public abstract boolean save(Project params);
+	public final boolean save(Project project) {
+		
+		if (this.saveFields(project)) {
+			for (ImportSubSection sub : subsections) {
+				if (!sub.saveFields(project)) {
+					return false;
+				}
+			}
+			return true;
+		}
+		return false;
+	}
 	
 	/**
+	 * Update the Project import parameters using the section widgets values
+	 * 
+	 * @param project
+	 */
+	public abstract boolean saveFields(Project project);
+	
+	/**
 	 * write interface parameters to a XML DOM
 	 * 
+	 * NOT USED YET
+	 * 
 	 * @param xmlFile
 	 */
 	public boolean save(Document document) {
+		
 		NodeList sectionList = document.getElementsByTagName("section");
 		Element sectionElement = null;
 		for (int i = 0; i < sectionList.getLength(); i++) {
@@ -133,9 +184,20 @@
 	 * Update the section widgets with the Project import parameters
 	 * 
 	 * @param project
-	 * @deprecated interface is now loaded from a import.xml file
 	 */
-	@Deprecated
-	public abstract void update(Project project);
+	public final void update(Project project) {
+		
+		this.updateFields(project);
+		for (ImportSubSection sub : subsections) {
+			sub.updateFields(project);
+		}
+	}
+	
+	/**
+	 * Update the section widgets with the Project import parameters
+	 * 
+	 * @param project
+	 */
+	public abstract void updateFields(Project project);
 }
 
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java	(revision 3300)
@@ -148,7 +148,7 @@
 	}
 	
 	@Override
-	public void update(Project project) {
+	public void updateFields(Project project) {
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
 		
@@ -189,7 +189,7 @@
 	}
 	
 	@Override
-	public boolean save(Project project) {
+	public boolean saveFields(Project project) {
 		if (!this.section.isDisposed()) {
 			// LANGUAGE
 			String lang = null, annotate = null;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportSubSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportSubSection.java	(revision 0)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportSubSection.java	(revision 3300)
@@ -0,0 +1,22 @@
+package org.txm.rcp.editors.imports.sections;
+
+import org.eclipse.swt.SWT;
+import org.txm.objects.Project;
+import org.txm.rcp.swt.GLComposite;
+
+public abstract class ImportSubSection extends GLComposite {
+	
+	protected ImportEditorSection isection;
+	
+	public ImportSubSection(ImportEditorSection isection, String name) {
+		
+		super(isection.section, SWT.NONE, name);
+		this.isection = isection;
+	}
+	
+	public abstract void updateFields(Project project);
+	
+	public abstract boolean saveFields(Project project);
+	
+	public abstract boolean checkFields();
+}
\ No newline at end of file

Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java	(revision 3300)
@@ -84,7 +84,7 @@
 	}
 	
 	@Override
-	public void update(Project project) {
+	public void updateFields(Project project) {
 		if (this.section != null && !section.isDisposed()) {
 			outsideTextElementsText.setText(project.getTextualPlan("OutSideTextTags"));
 			outsideTextElementsToEditText.setText(project.getTextualPlan("OutSideTextTagsAndKeepContent"));
@@ -94,7 +94,7 @@
 	}
 	
 	@Override
-	public boolean save(Project project) {
+	public boolean saveFields(Project project) {
 		if (this.section != null && !section.isDisposed()) {
 			
 			project.setTextualPlan("OutSideTextTags", outsideTextElementsText.getText().trim());
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/EncodingSection.java	(revision 3300)
@@ -89,7 +89,7 @@
 			"ISO-8859-15", "Big5", "Windows-1256", "ISO-8859-9" };
 	
 	@Override
-	public void update(Project project) {
+	public void updateFields(Project project) {
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
 		// fill combo and select default encoding
@@ -132,7 +132,7 @@
 	}
 	
 	@Override
-	public boolean save(Project project) {
+	public boolean saveFields(Project project) {
 		if (this.section == null) return true;
 		
 		String encoding = project.getEncoding();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FontSection.java	(revision 3300)
@@ -71,7 +71,7 @@
 	}
 	
 	@Override
-	public void update(Project project) {
+	public void updateFields(Project project) {
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
 		
@@ -88,7 +88,7 @@
 	}
 	
 	@Override
-	public boolean save(Project project) {
+	public boolean saveFields(Project project) {
 		if (!this.section.isDisposed()) {
 			String value = fontCombo.getText();
 			if (DEFAULTFONT.equals(value)) value = "";
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TRSSection.java	(revision 3300)
@@ -1,7 +1,5 @@
 package org.txm.rcp.editors.imports.sections;
 
-import java.util.HashMap;
-
 import org.eclipse.core.runtime.preferences.IEclipsePreferences;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.widgets.Button;
@@ -91,7 +89,7 @@
 	}
 	
 	@Override
-	public void update(Project project) {
+	public void updateFields(Project project) {
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
 		
@@ -103,7 +101,7 @@
 	}
 	
 	@Override
-	public boolean save(Project project) {
+	public boolean saveFields(Project project) {
 		if (this.section != null && !this.section.isDisposed()) {
 			
 			IEclipsePreferences customNode = project.getImportParameters();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3300)
@@ -27,11 +27,8 @@
 //
 package org.txm.rcp.editors.imports;
 
-import java.io.File;
 import java.io.IOException;
 import java.lang.reflect.Constructor;
-import java.lang.reflect.InvocationTargetException;
-import java.util.Date;
 import java.util.HashMap;
 
 import javax.xml.parsers.ParserConfigurationException;
@@ -49,7 +46,6 @@
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.ui.IEditorPart;
-import org.eclipse.ui.IWorkbenchPartConstants;
 import org.eclipse.ui.forms.IManagedForm;
 import org.eclipse.ui.forms.editor.FormPage;
 import org.eclipse.ui.forms.events.HyperlinkAdapter;
@@ -62,10 +58,10 @@
 import org.eclipse.ui.forms.widgets.Section;
 import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
-import org.txm.metadatas.Metadatas;
 import org.txm.objects.Project;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.corpuswizard.ImportWizard;
+import org.txm.rcp.editors.imports.sections.CommandsSection;
 import org.txm.rcp.editors.imports.sections.EditionSection;
 import org.txm.rcp.editors.imports.sections.EncodingSection;
 import org.txm.rcp.editors.imports.sections.FontSection;
@@ -76,15 +72,10 @@
 import org.txm.rcp.editors.imports.sections.OptionsSection;
 import org.txm.rcp.editors.imports.sections.TextualPlansSection;
 import org.txm.rcp.editors.imports.sections.TokenizerSection;
-import org.txm.rcp.editors.imports.sections.CommandsSection;
-import org.txm.rcp.handlers.results.DeleteObject;
 import org.txm.rcp.handlers.scripts.ExecuteImportScript;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.SWTEditorsUtils;
-import org.txm.utils.AsciiUtils;
 import org.txm.utils.logger.Log;
-import org.w3c.dom.Element;
-import org.w3c.dom.NodeList;
 import org.xml.sax.SAXException;
 
 /**
@@ -753,8 +744,9 @@
 				if (project != null) {
 					saveConfig();
 				}
-				else
+				else {
 					System.out.println(TXMUIMessages.cannotStartImportConfigurationNoSourceFolderSelected);
+				}
 			}
 		};
 		
@@ -769,8 +761,9 @@
 						startImport();
 					}
 				}
-				else
+				else {
 					System.out.println(TXMUIMessages.cannotStartImportConfigurationNoSourceFolderSelected);
+				}
 			}
 		};
 		
@@ -939,37 +932,37 @@
 		// TEST ALL SECTIONS
 		boolean doSave = true;
 		if (infosSection != null && !infosSection.isDisposed()) {
-			doSave = doSave & infosSection.checkFields();
+			doSave = doSave & infosSection.check();
 		}
 		if (langSection != null && !langSection.isDisposed()) {
-			doSave = doSave & langSection.checkFields();
+			doSave = doSave & langSection.check();
 		}
 		if (xsltSection != null && !xsltSection.isDisposed()) {
-			doSave = doSave & xsltSection.checkFields();
+			doSave = doSave & xsltSection.check();
 		}
 		if (tokenizerSection != null && !tokenizerSection.isDisposed()) {
-			doSave = doSave & tokenizerSection.checkFields();
+			doSave = doSave & tokenizerSection.check();
 		}
 		if (uiSection != null && !uiSection.isDisposed()) {
-			doSave = doSave & uiSection.checkFields();
+			doSave = doSave & uiSection.check();
 		}
 		if (encodingSection != null && !encodingSection.isDisposed()) {
-			doSave = doSave & encodingSection.checkFields();
+			doSave = doSave & encodingSection.check();
 		}
 		if (editionSection != null && !editionSection.isDisposed()) {
-			doSave = doSave & editionSection.checkFields();
+			doSave = doSave & editionSection.check();
 		}
 		if (fontSection != null && !fontSection.isDisposed()) {
-			doSave = doSave & fontSection.checkFields();
+			doSave = doSave & fontSection.check();
 		}
 		if (textualPlansSection != null && !textualPlansSection.isDisposed()) {
-			doSave = doSave & textualPlansSection.checkFields();
+			doSave = doSave & textualPlansSection.check();
 		}
 		if (optionsSection != null && !optionsSection.isDisposed()) {
-			doSave = doSave & optionsSection.checkFields();
+			doSave = doSave & optionsSection.check();
 		}
 		if (additionalSection != null && !additionalSection.isDisposed()) {
-			doSave = doSave & additionalSection.checkFields();
+			doSave = doSave & additionalSection.check();
 		}
 		if (!doSave) {
 			System.out.println("Some fields are not correctly filled.");
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportEditorSectionConfigurator.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportEditorSectionConfigurator.java	(revision 0)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportEditorSectionConfigurator.java	(revision 3300)
@@ -0,0 +1,17 @@
+package org.txm.rcp.editors.imports;
+
+
+/**
+ * Section configurator that adds section or subsection (a part of section)
+ * 
+ * @author mdecorde
+ *
+ */
+public abstract class ImportEditorSectionConfigurator {
+	
+	public ImportEditorSectionConfigurator() {
+		
+	}
+	
+	public abstract void installSections();
+}

Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 3299)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 3300)
@@ -3,8 +3,13 @@
 import java.util.HashMap;
 import java.util.LinkedHashMap;
 
+import org.eclipse.core.runtime.IConfigurationElement;
+import org.eclipse.core.runtime.IContributor;
+import org.eclipse.core.runtime.RegistryFactory;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.rcp.editors.imports.sections.ImportEditorSection;
 import org.txm.rcp.editors.imports.sections.TRSSection;
+import org.txm.utils.logger.Log;
 
 /**
  * static class that defines what parameters are used by import modules
@@ -46,11 +51,11 @@
 	
 	public static final String IMPORT_NAME = "import_name";
 	
-	static HashMap<String, HashMap<String, Boolean>> sectionsPerImportModule = new HashMap<>();
+	public static HashMap<String, HashMap<String, Boolean>> sectionsPerImportModule = new HashMap<>();
 	
-	static HashMap<String, Class<? extends ImportEditorSection>> additionalSections = new HashMap<>();
+	public static HashMap<String, Class<? extends ImportEditorSection>> additionalSections = new HashMap<>();
 	
-	static HashMap<String, String> names = new HashMap<>();
+	public static HashMap<String, String> names = new HashMap<>();
 	
 	static { // init import module
 		HashMap<String, Boolean> params = new HashMap<>();
@@ -167,7 +172,6 @@
 		params.put(OPTIONS, true);
 		sectionsPerImportModule.put("transcriberLoader.groovy", params); //$NON-NLS-1$
 		names.put("transcriberLoader.groovy", "XML-TRS + CSV"); //$NON-NLS-1$ //$NON-NLS-2$
-		additionalSections.put("transcriberLoader.groovy", TRSSection.class);
 		
 		params = new HashMap<>();
 		params.put(PARALLEL, false);
@@ -320,6 +324,25 @@
 		params.put(OPTIONS, true);
 		sectionsPerImportModule.put("xtzLoader.groovy", params); //$NON-NLS-1$
 		names.put("xtzLoader.groovy", "XML-TEI Zero + CSV"); //$NON-NLS-1$ //$NON-NLS-2$
+		
+		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor("org.txm.rcp.importsection");
+			
+		for (int i = 0; i < contributions.length; i++) {
+			try {
+				IContributor c = contributions[i].getContributor();
+				@SuppressWarnings("unchecked")
+				ImportEditorSectionConfigurator iesc = (ImportEditorSectionConfigurator) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
+				
+				Log.fine(TXMCoreMessages.bind("Initializing import section with: {0}...", iesc));
+				
+				iesc.installSections();
+			}
+			catch (Exception e) {
+				Log.severe("Error: failed to instantiate " + contributions[i].getName() + ".");
+				e.printStackTrace();
+			}
+		}	
+		additionalSections.put("transcriberLoader.groovy", TRSSection.class);
 	}
 	
 	/**
